summaryrefslogtreecommitdiffstats
path: root/xdtv
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-02-21 21:31:19 +0000
committer Eric Hameleers <alien@slackware.com>2007-02-21 21:31:19 +0000
commit732e93759fed43fea75545eb138c81ab3a86dbd1 (patch)
treec96dbf55dbcb6ca36edb05ad08a5982a15d094ff /xdtv
parented79ece5cdd9b2b558eb2a7691986e079fb23d1c (diff)
downloadasb-732e93759fed43fea75545eb138c81ab3a86dbd1.tar.gz
asb-732e93759fed43fea75545eb138c81ab3a86dbd1.tar.xz
Initial revision
Diffstat (limited to 'xdtv')
-rw-r--r--xdtv/build/slack-desc19
-rwxr-xr-xxdtv/build/xdtv.SlackBuild300
2 files changed, 319 insertions, 0 deletions
diff --git a/xdtv/build/slack-desc b/xdtv/build/slack-desc
new file mode 100644
index 00000000..e7f30b3e
--- /dev/null
+++ b/xdtv/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xdtv: xdtv (a program to record (Short_description) watch TV)
+xdtv:
+xdtv: XdTV is software to watch, record & stream TV.
+xdtv: It interacts with AleVT (Teletext) and Nxtvepg (NextView)
+xdtv: and supports the bttv, bktr & dvb APIs.
+xdtv: It contains some deinterlacing filters and can record video files
+xdtv: with various containers (AVI, MPEG, OGG, etc.)
+xdtv: and many codecs: FFMpeg, XviD, DivX, Ogg Vorbis + Theora.
+xdtv: It has some plugin capabilities.
+xdtv:
+xdtv: xdtv home: http://xawdecode.sourceforge.net/
diff --git a/xdtv/build/xdtv.SlackBuild b/xdtv/build/xdtv.SlackBuild
new file mode 100755
index 00000000..cdd688ea
--- /dev/null
+++ b/xdtv/build/xdtv.SlackBuild
@@ -0,0 +1,300 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: xdtv
+# Descr: a program to record @DESCR@ watch TV
+# URL: http://xawdecode.sourceforge.net/
+# Needs:
+# Changelog:
+# 2.4.0-1: 21/Feb/2007 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh xdtv.SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+
+PRGNAM=xdtv
+VERSION=${VERSION:-2.4.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+
+DOCS="AUTHORS COPYING INSTALL TODO ChangeLog lisez-moi \
+ README* lircrc* xdtvrc.sample FAQfr-xdtv"
+
+# Where do we look for sources?
+CWD=`pwd`
+SRCDIR=`dirname $0`
+[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Input URL: http://dl.sourceforge.net/xawdecode/xdtv-2.4.0.tar.gz
+SOURCE[0]="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL[0]="http://dl.sourceforge.net/xawdecode/${PRGNAM}-${VERSION}.tar.gz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Slackware 11 and up need other option (gcc > 3.3.x)
+if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
+ MOPT=tune
+else
+ MOPT=cpu
+fi
+
+case "$ARCH" in
+ i386) SLKCFLAGS="-O2 -march=i386 -m${MOPT}=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ i486) SLKCFLAGS="-O2 -march=i486 -m${MOPT}=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ s390) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ powerpc) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+ athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+esac
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+elif [ "$P1" != "--oldbuild" ]; then
+ # If the "--oldbuild" parameter is present, we keep
+ # the old build files and continue;
+ # By default we remove the remnants of previous build and continue:
+ rm -rf $TMP/tmp-$PRGNAM/*
+fi
+
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+else
+ rm -rf $PKG/* # We always erase old package's contents:
+fi
+
+if [ ! -d $OUTPUT ]; then
+ mkdir -p $OUTPUT # place for the package to be saved
+fi
+
+
+# --- SOURCE FILE AVAILABILITY ---
+
+for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ if ! [ -f ${SOURCE[$i]} ]; then
+ if ! [ "x${SRCURL[$i]}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/`basename ${SOURCE[$i]}`"
+ echo "Source '`basename ${SOURCE[$i]}`' not available yet..."
+ echo "Will download file to `dirname $SOURCE[$i]`"
+ wget -nv -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
+ if [ $? -ne 0 ]; then
+ echo "Downloading '`basename ${SOURCE[$i]}`' failed.. aborting the build."
+ mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '`basename ${SOURCE[$i]}`' not available.. aborting the build."
+ exit 1
+ fi
+ fi
+done
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ if `file ${SOURCE[$i]} | grep -q ": bzip2"`; then
+ tar -xjvf ${SOURCE[$i]}
+ elif `file ${SOURCE[$i]} | grep -q ": gzip"`; then
+ tar -xzvf ${SOURCE[$i]}
+ fi
+done
+chown -R root:root *
+chmod -R u+w,go+r-w,a-s *
+
+cd ${PRGNAM}-${VERSION}
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+# Determine what X we're running (the modular X returns the prefix
+# in the next command, while older versions stay silent):
+XPREF=`pkg-config --variable=prefix x11`
+[ "$XPREF" == "" ] && XPREF='/usr/X11R6'
+
+# Also determine the KDE installation prefix, for the icons we want to install:
+KDEPREF=`kde-config --prefix`
+
+LDFLAGS="$SLKLDFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=$XPREF \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --enable-shared \
+ --disable-static \
+ --program-prefix="" \
+ --program-suffix="" \
+ $ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+# Use installwatch if available, to produce a logfile of the installation
+# process that is more easily readable:
+if `which installwatch > /dev/null 2>&1`; then
+ installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
+else
+ make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
+fi
+
+# Desktop provisioning:
+mkdir -m 755 -p $PKG/usr/share/pixmaps
+cp -a $PKG/usr/share/xdtv/icons/xdtv.xpm $PKG/usr/share/pixmaps/
+if [ "$KDEPREF" != "" ]; then
+ mkdir -m 755 -p $PKG$KDEPREF/share/icons/hicolor/16x16/apps
+ mkdir -m 755 -p $PKG$KDEPREF/share/icons/hicolor/32x32/apps
+ mkdir -m 755 -p $PKG$KDEPREF/share/icons/hicolor/48x48/apps
+ cp -a $PKG/usr/share/xdtv/icons/xdtv-16.png $PKG$KDEPREF/share/icons/hicolor/16x16/apps/xdtv.png
+ cp -a $PKG/usr/share/xdtv/icons/xdtv-32.png $PKG$KDEPREF/share/icons/hicolor/32x32/apps/xdtv.png
+ cp -a $PKG/usr/share/xdtv/icons/xdtv-48.png $PKG$KDEPREF/share/icons/hicolor/48x48/apps/xdtv.png
+fi
+mkdir -m 755 -p $PKG/usr/share/applications
+install -m 644 slackware/xdtv.desktop $PKG/usr/share/applications/
+install -m 644 slackware/xdtv_wizard.desktop $PKG/usr/share/applications/
+
+# Prevent overwriting of existing conf files:
+mv $PKG/etc/xdtv/xdtv_wizard-en-UTF8.conf{,.new}
+mv $PKG/etc/xdtv/xdtv_wizard-en.conf{,.new}
+
+
+# Add this to the doinst.sh
+! [ -d $PKG/install ] && mkdir -p $PKG/install
+cat <<EOINS >> $PKG/install/doinst.sh
+# Handle the incoming configuration files:
+config() {
+ for infile in \$1; do
+ NEW="\$infile"
+ OLD="\`dirname \$NEW\`/\`basename \$NEW .new\`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\`cat \$OLD | md5sum\`" = "\`cat \$NEW | md5sum\`" ]; then
+ # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+ done
+}
+
+config etc/xdtv/xdtv_wizard-en-UTF8.conf.new
+config etc/xdtv/xdtv_wizard-en.conf.new
+
+# Update desktop database and font directory
+if [ -x usr/bin/update-desktop-database ]; then
+ chroot . usr/bin/update-desktop-database -q \
+ usr/share/applications 1>/dev/null 2>/dev/null
+fi
+
+chroot . $XPREF/bin/fc-cache
+cd $XPREF/lib/X11/fonts/misc
+/usr/X11/bin/mkfontdir
+/usr/X11/bin/xset fp rehash
+
+EOINS
+
+
+# --- DOCUMENTATION ---
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+
+# Strip binaries
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+cd -
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+if [ -f $SRCDIR/doinst.sh ]; then
+ cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
+fi
+if [ -f $SRCDIR/slack-required ]; then
+ cat $SRCDIR/slack-required > $PKG/install/slack-required
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+if [ -f $PKG/install/slack-required ]; then
+ cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.dep
+fi
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$P1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi